Date: Fri, 10 Sep 2010 13:46:13 +0000
Mime-Version: 1.0 (Produced by PhpWiki 1.4.0RC1)
X-Rcs-Id: $Id: Help%2FFuzzyPagesPlugin 7682 2010-09-10 12:03:36Z vargenau $
Content-Type: application/x-phpwiki;
  pagename=Help%2FFuzzyPagesPlugin;
  flags=PAGE_LOCKED%2CEXTERNAL_PAGE;
  markup=2;
  charset=UTF-8
Content-Transfer-Encoding: binary

The **~FuzzyPages** [[Help:WikiPlugin|plugin]] will search for similar page titles.

Pages are considered similar by averaging the similarity scores of
the spelling comparison and the metaphone comparison for each page
title in the database (PHP's metaphone() is an improved soundex
function).

* http://www.php.net/manual/en/function.similar-text.php
* http://www.php.net/manual/en/function.metaphone.php

== Usage ==
{{{
<<FuzzyPages s=pagename>>
}}}

== Arguments ==

{| class="bordered"
|-
! Argument
! Description
! Default value
|-
| **s**
| Pagename to look for
| empty
|}

== Example ==

{{{
<<FuzzyPages s=HomePage>>
}}}

<<FuzzyPages s=HomePage>>

== Author ==
* [[PhpWiki:ReiniUrban|Reini Urban]]

== See Also ==

<noinclude>
----
[[PhpWikiDocumentation]] [[CategoryWikiPlugin]]
</noinclude>
